Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute.standard
Class PrinterMessageFromOperator

    java.lang.Object
      javax.print.attribute.TextSyntax
          javax.print.attribute.standard.PrinterMessageFromOperator

All Implemented Interfaces:
  Serializable, Cloneable, Attribute, PrintServiceAttribute

    public final class PrinterMessageFromOperator

extends TextSyntax
implements PrintServiceAttribute

Class PrinterMessageFromOperator is a printing attribute class, a text attribute, that provides a message from an operator, system administrator, or "intelligent" process to indicate to the end user information about or status of the printer, such as why it is unavailable or when it is expected to be available.

A Print Service's attribute set includes zero instances or one instance of a PrinterMessageFromOperator attribute, not more than one instance. A new PrinterMessageFromOperator attribute replaces an existing PrinterMessageFromOperator attribute, if any. In other words, PrinterMessageFromOperator is not intended to be a history log. If it wishes, the client can detect changes to a Print Service's PrinterMessageFromOperator attribute and maintain the client's own history log of the PrinterMessageFromOperator attribute values.

IPP Compatibility: The string value gives the IPP name value. The locale gives the IPP natural language. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  Serialized Form

Constructor Summary
`PrinterMessageFromOperator(String message, Locale locale)` Constructs a new printer message from operator attribute with the given message and locale.

Method Summary
`boolean` | `equals(Object object)` Returns whether this printer message from operator attribute is equivalent to the passed in object.
`Class<? extends Attribute>` | `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`String` | `getName()` Get the name of the category of which this attribute value is an instance.

Methods inherited from class javax.print.attribute.TextSyntax
`getLocale, getValue, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrinterMessageFromOperator

    public PrinterMessageFromOperator(String message,
                                      Locale locale)

  Constructs a new printer message from operator attribute with the given message and locale.

  Parameters:
    `message` - Message.
    `locale` - Natural language of the text string. null is interpreted to mean the default locale as returned by `Locale.getDefault()`
  Throws:
    `NullPointerException` - (unchecked exception) Thrown if `message` is null.

Method Detail

### equals

    public boolean equals(Object object)

  Returns whether this printer message from operator attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
  1. `object` is not null.
  2. `object` is an instance of class PrinterMessageFromOperator.
  3. This printer message from operator attribute's underlying string and `object`'s underlying string are equal.
  4. This printer message from operator attribute's locale and `object`'s locale are equal.

  Overrides:
    `equals` in class `TextSyntax`
  Parameters:
    `object` - Object to compare to.
  Returns:
    True if `object` is equivalent to this printer message from operator attribute, false otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### getCategory

    public final Class<? extends Attribute> getCategory()

  Get the printing attribute class which is to be used as the "category" for this printing attribute value.

  For class PrinterMessageFromOperator, the category is class PrinterMessageFromOperator itself.

  Specified by:
    `getCategory` in interface `Attribute`
  Returns:
    Printing attribute class (category), an instance of class `java.lang.Class`.

### getName

    public final String getName()

  Get the name of the category of which this attribute value is an instance.

  For class PrinterMessageFromOperator, the category name is `"printer-message-from-operator"`.

  Specified by:
    `getName` in interface `Attribute`
  Returns:
    Attribute category name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.